treecanvas.hh File Reference
`#include <QtGui>`
`#include <gecode/kernel.hh>`
`#include <gecode/gist.hh>`
`#include <gecode/gist/visualnode.hh>`

Go to the source code of this file.

## Classes

class | Gecode::Gist::SearcherThread
| A thread that concurrently explores the tree. More...
class | Gecode::Gist::TreeCanvas
| A canvas that displays the search tree. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Gist
| The Gecode Interactive Search Tool.
namespace | Gecode::Gist::LayoutConfig
| Parameters for the tree layout.

## Variables

const int | Gecode::Gist::LayoutConfig::minScale = 10
| Minimum scale factor.
const int | Gecode::Gist::LayoutConfig::maxScale = 400
| Maximum scale factor.
const int | Gecode::Gist::LayoutConfig::defScale = 100
| Default scale factor.
const int | Gecode::Gist::LayoutConfig::maxAutoZoomScale = defScale
| Maximum scale factor for automatic zoom.